Bug 1174546 (CVE-2014-5354)

Summary: CVE-2014-5354 krb5: NULL pointer dereference when using keyless entries
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dpal, jplans, jrusnack, kerberos-dev-list, nalin, nathaniel, pkis, rmainz, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 13:02:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1174985, 1176002    
Bug Blocks: 1174549    

Description Murray McAllister 2014-12-16 02:39:31 UTC
If kadmind were used with an LDAP back end for the KDC database, a remote, authenticated attacker could crash kadmind by inserting a principal entry with no long term keys.

It is reported that versions prior to 1.12 are not affected.

Upstream fix:

https://github.com/krb5/krb5/commit/04038bf3633c4b909b5ded3072dc88c8c419bf16

Reference:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773228

Comment 3 Huzaifa S. Sidhpurwala 2014-12-19 05:15:30 UTC
Statement:

Not vulnerable. This issue does not affect the version of krb5 package as shipped with Red Hat Enterprise Linux 5, 6 and 7.

Comment 5 Huzaifa S. Sidhpurwala 2014-12-19 05:20:09 UTC
Created krb5 tracking bugs for this issue:

Affects: fedora-21 [bug 1176002]